Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.adv.impl
Class ServiceGroupEntryAdvertisement

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.dm.muws.adv.impl.AbstractAdvertisement
              org.apache.muse.ws.dm.muws.adv.impl.SimpleAdvertisement
                  org.apache.muse.ws.dm.muws.adv.impl.ServiceGroupEntryAdvertisement

All Implemented Interfaces:
  Advertisement, Capability, Initialization, InitializationParameters, ResourceManagerListener, Shutdown

public class ServiceGroupEntryAdvertisement
extends SimpleAdvertisement

Author:
  Dan Jemiolo (danj), Joel Hawkins

Constructor Summary
`ServiceGroupEntryAdvertisement()`

Method Summary
`void` | `initialize()`
`void` | `resourceAdded(EndpointReference epr, Resource resource)`
`void` | `resourceRemoved(EndpointReference epr)`

Methods inherited from class org.apache.muse.ws.dm.muws.adv.impl.SimpleAdvertisement
`isAdvertised`

Methods inherited from class org.apache.muse.ws.dm.muws.adv.impl.AbstractAdvertisement
`createWefFactory, initializeCompleted, sendMessage, subscribeInitialConsumer`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, setResource, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### ServiceGroupEntryAdvertisement

    public ServiceGroupEntryAdvertisement()

Method Detail

### initialize

    public void initialize()
                    throws SoapFault

  Specified by:
    `initialize` in interface `Initialization`
  Overrides:
    `initialize` in class `AbstractCapability`
  Throws:
    `SoapFault`

### resourceAdded

    public void resourceAdded(EndpointReference epr,
                              Resource resource)
                       throws SoapFault

  Specified by:
    `resourceAdded` in interface `ResourceManagerListener`
  Overrides:
    `resourceAdded` in class `AbstractAdvertisement`
  Throws:
    `SoapFault`

### resourceRemoved

    public void resourceRemoved(EndpointReference epr)
                         throws SoapFault

  Specified by:
    `resourceRemoved` in interface `ResourceManagerListener`
  Overrides:
    `resourceRemoved` in class `AbstractAdvertisement`
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD